Skip to main content
GET
List Pages

Authorizations

x-api-key
string
header
required

API key authentication. Accepts either:

  • App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
  • Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Query Parameters

siteId
string<uuid>
required

The site ID to list pages from.

limit
number
default:20

The maximum number of pages to return.

Required range: 1 <= x <= 100
startingAfter
string<uuid>

The pagination cursor. This is used to indicate what ID to list from.

pathPrefix
string
default:/

The filter that limits pages to only those with a pathname that begins with this value.

sortBy
enum<string>
default:path

The field to sort pages by.

Available options:
title,
path,
description,
updatedAt,
createdAt
sortDirection
enum<string>
default:asc

The sort direction.

Available options:
asc,
desc
includeOffline
enum<string>
default:false

The flag that determines whether to include offline pages in the results.

Available options:
true,
false
locale
string

The locale code to filter pages by.

versionRef
enum<string>
default:ref:draft

The version reference to retrieve pages from. Defaults to ref:draft if not provided.

Supported formats:

  • ref:draft - Draft/working version
  • ref:live - Live/published version
Available options:
ref:live,
ref:draft

Response

object
enum<string>
required
Available options:
list
Example:

"list"

data
object[]
required
hasMore
boolean
required

The flag that indicates whether there are more pages available.